## ros-one-moveit-by-name 0.0.0-6jammy.20251023.1707

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6jammy.20251023.1707) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 17:07:41 +0000

ros-one-moveit-by-name (0.0.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 17:07:41 -0000

## ros-one-moveit-by-name 0.0.0-6jammy.20251208.1007

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6jammy.20251208.1007) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Mon, 08 Dec 2025 10:07:02 +0000

## ros-one-moveit-by-name 0.0.0-6jammy.20260128.2317

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6jammy.20260128.2317) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Wed, 28 Jan 2026 23:17:48 +0000

## ros-one-moveit-by-name 0.0.0-6jammy.20260301.2315

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6jammy.20260301.2315) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Sun, 01 Mar 2026 23:15:23 +0000

## ros-one-moveit-by-name 0.0.0-6noble.20251023.1727

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6noble.20251023.1727) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 17:27:21 +0000

ros-one-moveit-by-name (0.0.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- v4hn <me@v4hn.de>  Thu, 23 Oct 2025 17:27:21 -0000

## ros-one-moveit-by-name 0.0.0-6noble.20251208.1645

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6noble.20251208.1645) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Mon, 08 Dec 2025 16:45:51 +0000

## ros-one-moveit-by-name 0.0.0-6noble.20260128.2335

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6noble.20260128.2335) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Wed, 28 Jan 2026 23:35:16 +0000

## ros-one-moveit-by-name 0.0.0-6noble.20260301.2308

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(moveit_by_name)

find_package(catkin REQUIRED COMPONENTS
  moveit_ros_planning_interface
  message_generation
  roscpp
)

add_message_files(
  FILES
  Command.msg
)

generate_messages()

catkin_package(
  CATKIN_DEPENDS message_runtime
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(${PROJECT_NAME} src/moveit_by_name.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-moveit-by-name (0.0.0-6noble.20260301.2308) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- v4hn <me@v4hn.de>  Sun, 01 Mar 2026 23:08:39 +0000

=== debian/control ===
Source: ros-one-moveit-by-name
Section: misc
Priority: optional
Maintainer: v4hn <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-ros-planning-interface
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-by-name
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-runtime, ros-one-moveit-ros-planning-interface
Description: Shortcut to allow arbitrary scripts to move the robot to predefined targets without using any MoveIt interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-by-name//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
